Subject: Re: bug#23935: 25.1.50; simple reproducible crash for emacs -Q: `M-: (+ 1997 120 400)'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jul 2016 17:54:21 +0300

> Date: Tue, 12 Jul 2016 14:33:30 +0000 (UTC)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > Do you have Process Explorer installed?
> 
> Not that I know of.  How would I know?
> 
> > If not, can you install it from the Microsoft Sysinternals site,
> > https://technet.microsoft.com/en-us/sysinternals/processexplorer?
> 
> It seems not.  That page says:
> 
>   Runs on:
>   Client: Windows Vista and higher (Including IA64).
>   Server: Windows Server 2008 and higher (Including IA64).
> 
> I have Windows 7 (64-bit).

Your system is a Client, and Windows 7 is higher than Vista.  So you
are OK.  (I use that program on Windows 7 as well.)

I think it's important to know which Uniscribe DLL is loaded by Emacs
on your machine.

> > Right-click "Computer" and select "Manage".  Expand "Event Viewer",
> > then expand "Windows Logs", then click on Application.  After a few
> > seconds, you will be presented with a list of events; look for ones
> > labeled "Error" around the time of a crash.  Double-clicking on such a
> > line will show the details of the crash.
> 
> Nope. The only errors I see listed there from July (when I did these
> tests) are for Google Update and a VPN executable.

Even more strange.

When Emacs crashes, does it pop up some dialog?  If so, which dialog?